<!DOCTYPE html>
<html lang="cs">
<head>
	<meta charset="utf-8">
	<title>Petr novák WEAP-SP</title>
	<link rel="stylesheet" type="text/css" href="/assets/style1.css">
	<script src="https://code.jquery.com/jquery-3.2.1.min.js" integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>
	<script src="/assets/todo-list.js"></script>
	<meta name="viewport" content="width=device-width, initial-scale=1">
</head>

<body>
	<div id="obsah">
		<header>
			<h1 id="logo">WEAP - SP</h1>
			<input id="toggle" type="checkbox">
			<label for="toggle" class="toggle" data-open="Main Menu" data-close="Close Menu" onclick=""></label>
			<nav>
				<ul>
					<% if(!user) {%>
					<li><a class ="" href="/auth/google">login</a></li>
					<%} else {%>
					<li><a class ="current" href="/todo">Úkolníček</a></li>
					<li><a class ="" href="/auth/logout">logout</a></li>
					<% } %>
					<li><a class ="" href="/">Domů</a></li>
				</ul>
			</nav>
			<div id="clear"></div>
		</header>
		<main>
			
			<% if(user) {%>
			<form>
				<input type="text" name="task" id="add1" placeholder="přidej nový úkol..." required>
				<input type="button" class="pridat" id="<%=user._id %>" value="Přidej úkol">
				<br>
				<br>
				<input type="button" class="filter v" value="Všechny">
				<input type="button" class="filter true" value="Splněné">
				<input type="button" class="filter false" value="Nesplněné"> 
			</form>
			<ul>
				<% for(var i = 0;i < todos.length;i++) { %>
				<%if(user._id==todos[i].id_user) { %>
				<%//if(todos[i].completed == filter) { %>
				<li>
					<form>						
						<input type="text" class="task <%= todos[i]._id %>" value="<%=todos[i].task%>" disabled="true" required>
						<input type="button" class="upravit <%= todos[i]._id %>" value="Upravit">

						<%if(todos[i].completed == "false") { %>
						<input type="button" class="splnit <%= todos[i]._id %>" value="Nesplněno">
						<% } else { %>
						<input type="button" class="splnit <%= todos[i]._id %>" value="Splněno">
						<%}%>

						<input type="button" class="smazat <%= todos[i]._id %>" value="Smazat">						
						<% } %>
						<%// } %>
					</form>
				</li>
				<% } %>	
			</ul>		
			<% } %>
		</main>
		<footer>
			Copyright © 2019 Petr Novák
		</footer>
	</div>

</body></html>